{% extends "base.html" %}
{% load static %}
{% block css %}
<style type="text/css">
  .center {
    align-items: center;
    text-align: center;
    margin: auto;
  }
  .margin-top-20 {
    margin-top: 20px;
  }
  .margin-bottom-10 {
    margin-bottom: 10px;
  }
</style>
{% endblock %}

{% block content %}
<section name="container" class="content">
  <h2>File Upload</h2>
  <form id="form" name="form" method="POST" action="{% url 'archive:archive' %}" enctype="multipart/form-data">
    {% csrf_token %}
    {{ form.as_p }}
    <button type="submit">Submit</button>
  </form>

  {% if error %}
    <h3>TERDAPAT ERROR PROCESSING FILE</h3>
  {% else %}
  {% endif %}

  <div class="files-section">
    <div class="center margin-top-20 margin-bottom-10">
      <h2>FILE LIST</h2>
    </div>
    <table class="table table-dark">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Name</th>
          <th scope="col">Url</th>
        </tr>
      </thead>
      <tbody>
        {% for file in files %}
        <tr>
          <th scope="row">{{ forloop.counter }}</th>
          <td>{{ file.name }}</td>
          <td><a href="/download/{{ file.upload }}" download>Download</a></td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</section>
{% endblock %}

{% block javascript %}
{% endblock %}
